IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/88
Addresses2^40
/64 networksPart of one
- Network
fe80:c25b:dd:ec00:ec00:c800::/88- First address
fe80:c25b:dd:ec00:ec00:c800::- Last address
fe80:c25b:dd:ec00:ec00:c8ff:ffff:ffff- Addresses
- 1,099,511,627,776 (2^40)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
fe80:c25b:00dd:ec00:ec00:c800:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
8.c.0.0.c.e.0.0.c.e.d.d.0.0.b.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25b:dd:ec00:ec00:c800::/88 makes 256 subnets of /96.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25b:dd:ec00:ec00:c800::/96 | fe80:c25b:dd:ec00:ec00:c800:ffff:ffff |
| 2 | fe80:c25b:dd:ec00:ec00:c801::/96 | fe80:c25b:dd:ec00:ec00:c801:ffff:ffff |
| 3 | fe80:c25b:dd:ec00:ec00:c802::/96 | fe80:c25b:dd:ec00:ec00:c802:ffff:ffff |
| 4 | fe80:c25b:dd:ec00:ec00:c803::/96 | fe80:c25b:dd:ec00:ec00:c803:ffff:ffff |
| 5 | fe80:c25b:dd:ec00:ec00:c804::/96 | fe80:c25b:dd:ec00:ec00:c804:ffff:ffff |
| 6 | fe80:c25b:dd:ec00:ec00:c805::/96 | fe80:c25b:dd:ec00:ec00:c805:ffff:ffff |
| 7 | fe80:c25b:dd:ec00:ec00:c806::/96 | fe80:c25b:dd:ec00:ec00:c806:ffff:ffff |
| 8 | fe80:c25b:dd:ec00:ec00:c807::/96 | fe80:c25b:dd:ec00:ec00:c807:ffff:ffff |
| 9 | fe80:c25b:dd:ec00:ec00:c808::/96 | fe80:c25b:dd:ec00:ec00:c808:ffff:ffff |
| 10 | fe80:c25b:dd:ec00:ec00:c809::/96 | fe80:c25b:dd:ec00:ec00:c809:ffff:ffff |
| 11 | fe80:c25b:dd:ec00:ec00:c80a::/96 | fe80:c25b:dd:ec00:ec00:c80a:ffff:ffff |
| 12 | fe80:c25b:dd:ec00:ec00:c80b::/96 | fe80:c25b:dd:ec00:ec00:c80b:ffff:ffff |
| 13 | fe80:c25b:dd:ec00:ec00:c80c::/96 | fe80:c25b:dd:ec00:ec00:c80c:ffff:ffff |
| 14 | fe80:c25b:dd:ec00:ec00:c80d::/96 | fe80:c25b:dd:ec00:ec00:c80d:ffff:ffff |
| 15 | fe80:c25b:dd:ec00:ec00:c80e::/96 | fe80:c25b:dd:ec00:ec00:c80e:ffff:ffff |
| 16 | fe80:c25b:dd:ec00:ec00:c80f::/96 | fe80:c25b:dd:ec00:ec00:c80f:ffff:ffff |
| 17 | fe80:c25b:dd:ec00:ec00:c810::/96 | fe80:c25b:dd:ec00:ec00:c810:ffff:ffff |
| 18 | fe80:c25b:dd:ec00:ec00:c811::/96 | fe80:c25b:dd:ec00:ec00:c811:ffff:ffff |
| 19 | fe80:c25b:dd:ec00:ec00:c812::/96 | fe80:c25b:dd:ec00:ec00:c812:ffff:ffff |
| 20 | fe80:c25b:dd:ec00:ec00:c813::/96 | fe80:c25b:dd:ec00:ec00:c813:ffff:ffff |
| 21 | fe80:c25b:dd:ec00:ec00:c814::/96 | fe80:c25b:dd:ec00:ec00:c814:ffff:ffff |
| 22 | fe80:c25b:dd:ec00:ec00:c815::/96 | fe80:c25b:dd:ec00:ec00:c815:ffff:ffff |
| 23 | fe80:c25b:dd:ec00:ec00:c816::/96 | fe80:c25b:dd:ec00:ec00:c816:ffff:ffff |
| 24 | fe80:c25b:dd:ec00:ec00:c817::/96 | fe80:c25b:dd:ec00:ec00:c817:ffff:ffff |
| 25 | fe80:c25b:dd:ec00:ec00:c818::/96 | fe80:c25b:dd:ec00:ec00:c818:ffff:ffff |
| 26 | fe80:c25b:dd:ec00:ec00:c819::/96 | fe80:c25b:dd:ec00:ec00:c819:ffff:ffff |
| 27 | fe80:c25b:dd:ec00:ec00:c81a::/96 | fe80:c25b:dd:ec00:ec00:c81a:ffff:ffff |
| 28 | fe80:c25b:dd:ec00:ec00:c81b::/96 | fe80:c25b:dd:ec00:ec00:c81b:ffff:ffff |
| 29 | fe80:c25b:dd:ec00:ec00:c81c::/96 | fe80:c25b:dd:ec00:ec00:c81c:ffff:ffff |
| 30 | fe80:c25b:dd:ec00:ec00:c81d::/96 | fe80:c25b:dd:ec00:ec00:c81d:ffff:ffff |
| 31 | fe80:c25b:dd:ec00:ec00:c81e::/96 | fe80:c25b:dd:ec00:ec00:c81e:ffff:ffff |
| 32 | fe80:c25b:dd:ec00:ec00:c81f::/96 | fe80:c25b:dd:ec00:ec00:c81f:ffff:ffff |
| 33 | fe80:c25b:dd:ec00:ec00:c820::/96 | fe80:c25b:dd:ec00:ec00:c820:ffff:ffff |
| 34 | fe80:c25b:dd:ec00:ec00:c821::/96 | fe80:c25b:dd:ec00:ec00:c821:ffff:ffff |
| 35 | fe80:c25b:dd:ec00:ec00:c822::/96 | fe80:c25b:dd:ec00:ec00:c822:ffff:ffff |
| 36 | fe80:c25b:dd:ec00:ec00:c823::/96 | fe80:c25b:dd:ec00:ec00:c823:ffff:ffff |
| 37 | fe80:c25b:dd:ec00:ec00:c824::/96 | fe80:c25b:dd:ec00:ec00:c824:ffff:ffff |
| 38 | fe80:c25b:dd:ec00:ec00:c825::/96 | fe80:c25b:dd:ec00:ec00:c825:ffff:ffff |
| 39 | fe80:c25b:dd:ec00:ec00:c826::/96 | fe80:c25b:dd:ec00:ec00:c826:ffff:ffff |
| 40 | fe80:c25b:dd:ec00:ec00:c827::/96 | fe80:c25b:dd:ec00:ec00:c827:ffff:ffff |
| 41 | fe80:c25b:dd:ec00:ec00:c828::/96 | fe80:c25b:dd:ec00:ec00:c828:ffff:ffff |
| 42 | fe80:c25b:dd:ec00:ec00:c829::/96 | fe80:c25b:dd:ec00:ec00:c829:ffff:ffff |
| 43 | fe80:c25b:dd:ec00:ec00:c82a::/96 | fe80:c25b:dd:ec00:ec00:c82a:ffff:ffff |
| 44 | fe80:c25b:dd:ec00:ec00:c82b::/96 | fe80:c25b:dd:ec00:ec00:c82b:ffff:ffff |
| 45 | fe80:c25b:dd:ec00:ec00:c82c::/96 | fe80:c25b:dd:ec00:ec00:c82c:ffff:ffff |
| 46 | fe80:c25b:dd:ec00:ec00:c82d::/96 | fe80:c25b:dd:ec00:ec00:c82d:ffff:ffff |
| 47 | fe80:c25b:dd:ec00:ec00:c82e::/96 | fe80:c25b:dd:ec00:ec00:c82e:ffff:ffff |
| 48 | fe80:c25b:dd:ec00:ec00:c82f::/96 | fe80:c25b:dd:ec00:ec00:c82f:ffff:ffff |
| 49 | fe80:c25b:dd:ec00:ec00:c830::/96 | fe80:c25b:dd:ec00:ec00:c830:ffff:ffff |
| 50 | fe80:c25b:dd:ec00:ec00:c831::/96 | fe80:c25b:dd:ec00:ec00:c831:ffff:ffff |
| 51 | fe80:c25b:dd:ec00:ec00:c832::/96 | fe80:c25b:dd:ec00:ec00:c832:ffff:ffff |
| 52 | fe80:c25b:dd:ec00:ec00:c833::/96 | fe80:c25b:dd:ec00:ec00:c833:ffff:ffff |
| 53 | fe80:c25b:dd:ec00:ec00:c834::/96 | fe80:c25b:dd:ec00:ec00:c834:ffff:ffff |
| 54 | fe80:c25b:dd:ec00:ec00:c835::/96 | fe80:c25b:dd:ec00:ec00:c835:ffff:ffff |
| 55 | fe80:c25b:dd:ec00:ec00:c836::/96 | fe80:c25b:dd:ec00:ec00:c836:ffff:ffff |
| 56 | fe80:c25b:dd:ec00:ec00:c837::/96 | fe80:c25b:dd:ec00:ec00:c837:ffff:ffff |
| 57 | fe80:c25b:dd:ec00:ec00:c838::/96 | fe80:c25b:dd:ec00:ec00:c838:ffff:ffff |
| 58 | fe80:c25b:dd:ec00:ec00:c839::/96 | fe80:c25b:dd:ec00:ec00:c839:ffff:ffff |
| 59 | fe80:c25b:dd:ec00:ec00:c83a::/96 | fe80:c25b:dd:ec00:ec00:c83a:ffff:ffff |
| 60 | fe80:c25b:dd:ec00:ec00:c83b::/96 | fe80:c25b:dd:ec00:ec00:c83b:ffff:ffff |
| 61 | fe80:c25b:dd:ec00:ec00:c83c::/96 | fe80:c25b:dd:ec00:ec00:c83c:ffff:ffff |
| 62 | fe80:c25b:dd:ec00:ec00:c83d::/96 | fe80:c25b:dd:ec00:ec00:c83d:ffff:ffff |
| 63 | fe80:c25b:dd:ec00:ec00:c83e::/96 | fe80:c25b:dd:ec00:ec00:c83e:ffff:ffff |
| 64 | fe80:c25b:dd:ec00:ec00:c83f::/96 | fe80:c25b:dd:ec00:ec00:c83f:ffff:ffff |
| 65 | fe80:c25b:dd:ec00:ec00:c840::/96 | fe80:c25b:dd:ec00:ec00:c840:ffff:ffff |
| 66 | fe80:c25b:dd:ec00:ec00:c841::/96 | fe80:c25b:dd:ec00:ec00:c841:ffff:ffff |
| 67 | fe80:c25b:dd:ec00:ec00:c842::/96 | fe80:c25b:dd:ec00:ec00:c842:ffff:ffff |
| 68 | fe80:c25b:dd:ec00:ec00:c843::/96 | fe80:c25b:dd:ec00:ec00:c843:ffff:ffff |
| 69 | fe80:c25b:dd:ec00:ec00:c844::/96 | fe80:c25b:dd:ec00:ec00:c844:ffff:ffff |
| 70 | fe80:c25b:dd:ec00:ec00:c845::/96 | fe80:c25b:dd:ec00:ec00:c845:ffff:ffff |
| 71 | fe80:c25b:dd:ec00:ec00:c846::/96 | fe80:c25b:dd:ec00:ec00:c846:ffff:ffff |
| 72 | fe80:c25b:dd:ec00:ec00:c847::/96 | fe80:c25b:dd:ec00:ec00:c847:ffff:ffff |
| 73 | fe80:c25b:dd:ec00:ec00:c848::/96 | fe80:c25b:dd:ec00:ec00:c848:ffff:ffff |
| 74 | fe80:c25b:dd:ec00:ec00:c849::/96 | fe80:c25b:dd:ec00:ec00:c849:ffff:ffff |
| 75 | fe80:c25b:dd:ec00:ec00:c84a::/96 | fe80:c25b:dd:ec00:ec00:c84a:ffff:ffff |
| 76 | fe80:c25b:dd:ec00:ec00:c84b::/96 | fe80:c25b:dd:ec00:ec00:c84b:ffff:ffff |
| 77 | fe80:c25b:dd:ec00:ec00:c84c::/96 | fe80:c25b:dd:ec00:ec00:c84c:ffff:ffff |
| 78 | fe80:c25b:dd:ec00:ec00:c84d::/96 | fe80:c25b:dd:ec00:ec00:c84d:ffff:ffff |
| 79 | fe80:c25b:dd:ec00:ec00:c84e::/96 | fe80:c25b:dd:ec00:ec00:c84e:ffff:ffff |
| 80 | fe80:c25b:dd:ec00:ec00:c84f::/96 | fe80:c25b:dd:ec00:ec00:c84f:ffff:ffff |
| 81 | fe80:c25b:dd:ec00:ec00:c850::/96 | fe80:c25b:dd:ec00:ec00:c850:ffff:ffff |
| 82 | fe80:c25b:dd:ec00:ec00:c851::/96 | fe80:c25b:dd:ec00:ec00:c851:ffff:ffff |
| 83 | fe80:c25b:dd:ec00:ec00:c852::/96 | fe80:c25b:dd:ec00:ec00:c852:ffff:ffff |
| 84 | fe80:c25b:dd:ec00:ec00:c853::/96 | fe80:c25b:dd:ec00:ec00:c853:ffff:ffff |
| 85 | fe80:c25b:dd:ec00:ec00:c854::/96 | fe80:c25b:dd:ec00:ec00:c854:ffff:ffff |
| 86 | fe80:c25b:dd:ec00:ec00:c855::/96 | fe80:c25b:dd:ec00:ec00:c855:ffff:ffff |
| 87 | fe80:c25b:dd:ec00:ec00:c856::/96 | fe80:c25b:dd:ec00:ec00:c856:ffff:ffff |
| 88 | fe80:c25b:dd:ec00:ec00:c857::/96 | fe80:c25b:dd:ec00:ec00:c857:ffff:ffff |
| 89 | fe80:c25b:dd:ec00:ec00:c858::/96 | fe80:c25b:dd:ec00:ec00:c858:ffff:ffff |
| 90 | fe80:c25b:dd:ec00:ec00:c859::/96 | fe80:c25b:dd:ec00:ec00:c859:ffff:ffff |
| 91 | fe80:c25b:dd:ec00:ec00:c85a::/96 | fe80:c25b:dd:ec00:ec00:c85a:ffff:ffff |
| 92 | fe80:c25b:dd:ec00:ec00:c85b::/96 | fe80:c25b:dd:ec00:ec00:c85b:ffff:ffff |
| 93 | fe80:c25b:dd:ec00:ec00:c85c::/96 | fe80:c25b:dd:ec00:ec00:c85c:ffff:ffff |
| 94 | fe80:c25b:dd:ec00:ec00:c85d::/96 | fe80:c25b:dd:ec00:ec00:c85d:ffff:ffff |
| 95 | fe80:c25b:dd:ec00:ec00:c85e::/96 | fe80:c25b:dd:ec00:ec00:c85e:ffff:ffff |
| 96 | fe80:c25b:dd:ec00:ec00:c85f::/96 | fe80:c25b:dd:ec00:ec00:c85f:ffff:ffff |
| 97 | fe80:c25b:dd:ec00:ec00:c860::/96 | fe80:c25b:dd:ec00:ec00:c860:ffff:ffff |
| 98 | fe80:c25b:dd:ec00:ec00:c861::/96 | fe80:c25b:dd:ec00:ec00:c861:ffff:ffff |
| 99 | fe80:c25b:dd:ec00:ec00:c862::/96 | fe80:c25b:dd:ec00:ec00:c862:ffff:ffff |
| 100 | fe80:c25b:dd:ec00:ec00:c863::/96 | fe80:c25b:dd:ec00:ec00:c863:ffff:ffff |
| 101 | fe80:c25b:dd:ec00:ec00:c864::/96 | fe80:c25b:dd:ec00:ec00:c864:ffff:ffff |
| 102 | fe80:c25b:dd:ec00:ec00:c865::/96 | fe80:c25b:dd:ec00:ec00:c865:ffff:ffff |
| 103 | fe80:c25b:dd:ec00:ec00:c866::/96 | fe80:c25b:dd:ec00:ec00:c866:ffff:ffff |
| 104 | fe80:c25b:dd:ec00:ec00:c867::/96 | fe80:c25b:dd:ec00:ec00:c867:ffff:ffff |
| 105 | fe80:c25b:dd:ec00:ec00:c868::/96 | fe80:c25b:dd:ec00:ec00:c868:ffff:ffff |
| 106 | fe80:c25b:dd:ec00:ec00:c869::/96 | fe80:c25b:dd:ec00:ec00:c869:ffff:ffff |
| 107 | fe80:c25b:dd:ec00:ec00:c86a::/96 | fe80:c25b:dd:ec00:ec00:c86a:ffff:ffff |
| 108 | fe80:c25b:dd:ec00:ec00:c86b::/96 | fe80:c25b:dd:ec00:ec00:c86b:ffff:ffff |
| 109 | fe80:c25b:dd:ec00:ec00:c86c::/96 | fe80:c25b:dd:ec00:ec00:c86c:ffff:ffff |
| 110 | fe80:c25b:dd:ec00:ec00:c86d::/96 | fe80:c25b:dd:ec00:ec00:c86d:ffff:ffff |
| 111 | fe80:c25b:dd:ec00:ec00:c86e::/96 | fe80:c25b:dd:ec00:ec00:c86e:ffff:ffff |
| 112 | fe80:c25b:dd:ec00:ec00:c86f::/96 | fe80:c25b:dd:ec00:ec00:c86f:ffff:ffff |
| 113 | fe80:c25b:dd:ec00:ec00:c870::/96 | fe80:c25b:dd:ec00:ec00:c870:ffff:ffff |
| 114 | fe80:c25b:dd:ec00:ec00:c871::/96 | fe80:c25b:dd:ec00:ec00:c871:ffff:ffff |
| 115 | fe80:c25b:dd:ec00:ec00:c872::/96 | fe80:c25b:dd:ec00:ec00:c872:ffff:ffff |
| 116 | fe80:c25b:dd:ec00:ec00:c873::/96 | fe80:c25b:dd:ec00:ec00:c873:ffff:ffff |
| 117 | fe80:c25b:dd:ec00:ec00:c874::/96 | fe80:c25b:dd:ec00:ec00:c874:ffff:ffff |
| 118 | fe80:c25b:dd:ec00:ec00:c875::/96 | fe80:c25b:dd:ec00:ec00:c875:ffff:ffff |
| 119 | fe80:c25b:dd:ec00:ec00:c876::/96 | fe80:c25b:dd:ec00:ec00:c876:ffff:ffff |
| 120 | fe80:c25b:dd:ec00:ec00:c877::/96 | fe80:c25b:dd:ec00:ec00:c877:ffff:ffff |
| 121 | fe80:c25b:dd:ec00:ec00:c878::/96 | fe80:c25b:dd:ec00:ec00:c878:ffff:ffff |
| 122 | fe80:c25b:dd:ec00:ec00:c879::/96 | fe80:c25b:dd:ec00:ec00:c879:ffff:ffff |
| 123 | fe80:c25b:dd:ec00:ec00:c87a::/96 | fe80:c25b:dd:ec00:ec00:c87a:ffff:ffff |
| 124 | fe80:c25b:dd:ec00:ec00:c87b::/96 | fe80:c25b:dd:ec00:ec00:c87b:ffff:ffff |
| 125 | fe80:c25b:dd:ec00:ec00:c87c::/96 | fe80:c25b:dd:ec00:ec00:c87c:ffff:ffff |
| 126 | fe80:c25b:dd:ec00:ec00:c87d::/96 | fe80:c25b:dd:ec00:ec00:c87d:ffff:ffff |
| 127 | fe80:c25b:dd:ec00:ec00:c87e::/96 | fe80:c25b:dd:ec00:ec00:c87e:ffff:ffff |
| 128 | fe80:c25b:dd:ec00:ec00:c87f::/96 | fe80:c25b:dd:ec00:ec00:c87f:ffff:ffff |
| 129 | fe80:c25b:dd:ec00:ec00:c880::/96 | fe80:c25b:dd:ec00:ec00:c880:ffff:ffff |
| 130 | fe80:c25b:dd:ec00:ec00:c881::/96 | fe80:c25b:dd:ec00:ec00:c881:ffff:ffff |
| 131 | fe80:c25b:dd:ec00:ec00:c882::/96 | fe80:c25b:dd:ec00:ec00:c882:ffff:ffff |
| 132 | fe80:c25b:dd:ec00:ec00:c883::/96 | fe80:c25b:dd:ec00:ec00:c883:ffff:ffff |
| 133 | fe80:c25b:dd:ec00:ec00:c884::/96 | fe80:c25b:dd:ec00:ec00:c884:ffff:ffff |
| 134 | fe80:c25b:dd:ec00:ec00:c885::/96 | fe80:c25b:dd:ec00:ec00:c885:ffff:ffff |
| 135 | fe80:c25b:dd:ec00:ec00:c886::/96 | fe80:c25b:dd:ec00:ec00:c886:ffff:ffff |
| 136 | fe80:c25b:dd:ec00:ec00:c887::/96 | fe80:c25b:dd:ec00:ec00:c887:ffff:ffff |
| 137 | fe80:c25b:dd:ec00:ec00:c888::/96 | fe80:c25b:dd:ec00:ec00:c888:ffff:ffff |
| 138 | fe80:c25b:dd:ec00:ec00:c889::/96 | fe80:c25b:dd:ec00:ec00:c889:ffff:ffff |
| 139 | fe80:c25b:dd:ec00:ec00:c88a::/96 | fe80:c25b:dd:ec00:ec00:c88a:ffff:ffff |
| 140 | fe80:c25b:dd:ec00:ec00:c88b::/96 | fe80:c25b:dd:ec00:ec00:c88b:ffff:ffff |
| 141 | fe80:c25b:dd:ec00:ec00:c88c::/96 | fe80:c25b:dd:ec00:ec00:c88c:ffff:ffff |
| 142 | fe80:c25b:dd:ec00:ec00:c88d::/96 | fe80:c25b:dd:ec00:ec00:c88d:ffff:ffff |
| 143 | fe80:c25b:dd:ec00:ec00:c88e::/96 | fe80:c25b:dd:ec00:ec00:c88e:ffff:ffff |
| 144 | fe80:c25b:dd:ec00:ec00:c88f::/96 | fe80:c25b:dd:ec00:ec00:c88f:ffff:ffff |
| 145 | fe80:c25b:dd:ec00:ec00:c890::/96 | fe80:c25b:dd:ec00:ec00:c890:ffff:ffff |
| 146 | fe80:c25b:dd:ec00:ec00:c891::/96 | fe80:c25b:dd:ec00:ec00:c891:ffff:ffff |
| 147 | fe80:c25b:dd:ec00:ec00:c892::/96 | fe80:c25b:dd:ec00:ec00:c892:ffff:ffff |
| 148 | fe80:c25b:dd:ec00:ec00:c893::/96 | fe80:c25b:dd:ec00:ec00:c893:ffff:ffff |
| 149 | fe80:c25b:dd:ec00:ec00:c894::/96 | fe80:c25b:dd:ec00:ec00:c894:ffff:ffff |
| 150 | fe80:c25b:dd:ec00:ec00:c895::/96 | fe80:c25b:dd:ec00:ec00:c895:ffff:ffff |
| 151 | fe80:c25b:dd:ec00:ec00:c896::/96 | fe80:c25b:dd:ec00:ec00:c896:ffff:ffff |
| 152 | fe80:c25b:dd:ec00:ec00:c897::/96 | fe80:c25b:dd:ec00:ec00:c897:ffff:ffff |
| 153 | fe80:c25b:dd:ec00:ec00:c898::/96 | fe80:c25b:dd:ec00:ec00:c898:ffff:ffff |
| 154 | fe80:c25b:dd:ec00:ec00:c899::/96 | fe80:c25b:dd:ec00:ec00:c899:ffff:ffff |
| 155 | fe80:c25b:dd:ec00:ec00:c89a::/96 | fe80:c25b:dd:ec00:ec00:c89a:ffff:ffff |
| 156 | fe80:c25b:dd:ec00:ec00:c89b::/96 | fe80:c25b:dd:ec00:ec00:c89b:ffff:ffff |
| 157 | fe80:c25b:dd:ec00:ec00:c89c::/96 | fe80:c25b:dd:ec00:ec00:c89c:ffff:ffff |
| 158 | fe80:c25b:dd:ec00:ec00:c89d::/96 | fe80:c25b:dd:ec00:ec00:c89d:ffff:ffff |
| 159 | fe80:c25b:dd:ec00:ec00:c89e::/96 | fe80:c25b:dd:ec00:ec00:c89e:ffff:ffff |
| 160 | fe80:c25b:dd:ec00:ec00:c89f::/96 | fe80:c25b:dd:ec00:ec00:c89f:ffff:ffff |
| 161 | fe80:c25b:dd:ec00:ec00:c8a0::/96 | fe80:c25b:dd:ec00:ec00:c8a0:ffff:ffff |
| 162 | fe80:c25b:dd:ec00:ec00:c8a1::/96 | fe80:c25b:dd:ec00:ec00:c8a1:ffff:ffff |
| 163 | fe80:c25b:dd:ec00:ec00:c8a2::/96 | fe80:c25b:dd:ec00:ec00:c8a2:ffff:ffff |
| 164 | fe80:c25b:dd:ec00:ec00:c8a3::/96 | fe80:c25b:dd:ec00:ec00:c8a3:ffff:ffff |
| 165 | fe80:c25b:dd:ec00:ec00:c8a4::/96 | fe80:c25b:dd:ec00:ec00:c8a4:ffff:ffff |
| 166 | fe80:c25b:dd:ec00:ec00:c8a5::/96 | fe80:c25b:dd:ec00:ec00:c8a5:ffff:ffff |
| 167 | fe80:c25b:dd:ec00:ec00:c8a6::/96 | fe80:c25b:dd:ec00:ec00:c8a6:ffff:ffff |
| 168 | fe80:c25b:dd:ec00:ec00:c8a7::/96 | fe80:c25b:dd:ec00:ec00:c8a7:ffff:ffff |
| 169 | fe80:c25b:dd:ec00:ec00:c8a8::/96 | fe80:c25b:dd:ec00:ec00:c8a8:ffff:ffff |
| 170 | fe80:c25b:dd:ec00:ec00:c8a9::/96 | fe80:c25b:dd:ec00:ec00:c8a9:ffff:ffff |
| 171 | fe80:c25b:dd:ec00:ec00:c8aa::/96 | fe80:c25b:dd:ec00:ec00:c8aa:ffff:ffff |
| 172 | fe80:c25b:dd:ec00:ec00:c8ab::/96 | fe80:c25b:dd:ec00:ec00:c8ab:ffff:ffff |
| 173 | fe80:c25b:dd:ec00:ec00:c8ac::/96 | fe80:c25b:dd:ec00:ec00:c8ac:ffff:ffff |
| 174 | fe80:c25b:dd:ec00:ec00:c8ad::/96 | fe80:c25b:dd:ec00:ec00:c8ad:ffff:ffff |
| 175 | fe80:c25b:dd:ec00:ec00:c8ae::/96 | fe80:c25b:dd:ec00:ec00:c8ae:ffff:ffff |
| 176 | fe80:c25b:dd:ec00:ec00:c8af::/96 | fe80:c25b:dd:ec00:ec00:c8af:ffff:ffff |
| 177 | fe80:c25b:dd:ec00:ec00:c8b0::/96 | fe80:c25b:dd:ec00:ec00:c8b0:ffff:ffff |
| 178 | fe80:c25b:dd:ec00:ec00:c8b1::/96 | fe80:c25b:dd:ec00:ec00:c8b1:ffff:ffff |
| 179 | fe80:c25b:dd:ec00:ec00:c8b2::/96 | fe80:c25b:dd:ec00:ec00:c8b2:ffff:ffff |
| 180 | fe80:c25b:dd:ec00:ec00:c8b3::/96 | fe80:c25b:dd:ec00:ec00:c8b3:ffff:ffff |
| 181 | fe80:c25b:dd:ec00:ec00:c8b4::/96 | fe80:c25b:dd:ec00:ec00:c8b4:ffff:ffff |
| 182 | fe80:c25b:dd:ec00:ec00:c8b5::/96 | fe80:c25b:dd:ec00:ec00:c8b5:ffff:ffff |
| 183 | fe80:c25b:dd:ec00:ec00:c8b6::/96 | fe80:c25b:dd:ec00:ec00:c8b6:ffff:ffff |
| 184 | fe80:c25b:dd:ec00:ec00:c8b7::/96 | fe80:c25b:dd:ec00:ec00:c8b7:ffff:ffff |
| 185 | fe80:c25b:dd:ec00:ec00:c8b8::/96 | fe80:c25b:dd:ec00:ec00:c8b8:ffff:ffff |
| 186 | fe80:c25b:dd:ec00:ec00:c8b9::/96 | fe80:c25b:dd:ec00:ec00:c8b9:ffff:ffff |
| 187 | fe80:c25b:dd:ec00:ec00:c8ba::/96 | fe80:c25b:dd:ec00:ec00:c8ba:ffff:ffff |
| 188 | fe80:c25b:dd:ec00:ec00:c8bb::/96 | fe80:c25b:dd:ec00:ec00:c8bb:ffff:ffff |
| 189 | fe80:c25b:dd:ec00:ec00:c8bc::/96 | fe80:c25b:dd:ec00:ec00:c8bc:ffff:ffff |
| 190 | fe80:c25b:dd:ec00:ec00:c8bd::/96 | fe80:c25b:dd:ec00:ec00:c8bd:ffff:ffff |
| 191 | fe80:c25b:dd:ec00:ec00:c8be::/96 | fe80:c25b:dd:ec00:ec00:c8be:ffff:ffff |
| 192 | fe80:c25b:dd:ec00:ec00:c8bf::/96 | fe80:c25b:dd:ec00:ec00:c8bf:ffff:ffff |
| 193 | fe80:c25b:dd:ec00:ec00:c8c0::/96 | fe80:c25b:dd:ec00:ec00:c8c0:ffff:ffff |
| 194 | fe80:c25b:dd:ec00:ec00:c8c1::/96 | fe80:c25b:dd:ec00:ec00:c8c1:ffff:ffff |
| 195 | fe80:c25b:dd:ec00:ec00:c8c2::/96 | fe80:c25b:dd:ec00:ec00:c8c2:ffff:ffff |
| 196 | fe80:c25b:dd:ec00:ec00:c8c3::/96 | fe80:c25b:dd:ec00:ec00:c8c3:ffff:ffff |
| 197 | fe80:c25b:dd:ec00:ec00:c8c4::/96 | fe80:c25b:dd:ec00:ec00:c8c4:ffff:ffff |
| 198 | fe80:c25b:dd:ec00:ec00:c8c5::/96 | fe80:c25b:dd:ec00:ec00:c8c5:ffff:ffff |
| 199 | fe80:c25b:dd:ec00:ec00:c8c6::/96 | fe80:c25b:dd:ec00:ec00:c8c6:ffff:ffff |
| 200 | fe80:c25b:dd:ec00:ec00:c8c7::/96 | fe80:c25b:dd:ec00:ec00:c8c7:ffff:ffff |
| 201 | fe80:c25b:dd:ec00:ec00:c8c8::/96 | fe80:c25b:dd:ec00:ec00:c8c8:ffff:ffff |
| 202 | fe80:c25b:dd:ec00:ec00:c8c9::/96 | fe80:c25b:dd:ec00:ec00:c8c9:ffff:ffff |
| 203 | fe80:c25b:dd:ec00:ec00:c8ca::/96 | fe80:c25b:dd:ec00:ec00:c8ca:ffff:ffff |
| 204 | fe80:c25b:dd:ec00:ec00:c8cb::/96 | fe80:c25b:dd:ec00:ec00:c8cb:ffff:ffff |
| 205 | fe80:c25b:dd:ec00:ec00:c8cc::/96 | fe80:c25b:dd:ec00:ec00:c8cc:ffff:ffff |
| 206 | fe80:c25b:dd:ec00:ec00:c8cd::/96 | fe80:c25b:dd:ec00:ec00:c8cd:ffff:ffff |
| 207 | fe80:c25b:dd:ec00:ec00:c8ce::/96 | fe80:c25b:dd:ec00:ec00:c8ce:ffff:ffff |
| 208 | fe80:c25b:dd:ec00:ec00:c8cf::/96 | fe80:c25b:dd:ec00:ec00:c8cf:ffff:ffff |
| 209 | fe80:c25b:dd:ec00:ec00:c8d0::/96 | fe80:c25b:dd:ec00:ec00:c8d0:ffff:ffff |
| 210 | fe80:c25b:dd:ec00:ec00:c8d1::/96 | fe80:c25b:dd:ec00:ec00:c8d1:ffff:ffff |
| 211 | fe80:c25b:dd:ec00:ec00:c8d2::/96 | fe80:c25b:dd:ec00:ec00:c8d2:ffff:ffff |
| 212 | fe80:c25b:dd:ec00:ec00:c8d3::/96 | fe80:c25b:dd:ec00:ec00:c8d3:ffff:ffff |
| 213 | fe80:c25b:dd:ec00:ec00:c8d4::/96 | fe80:c25b:dd:ec00:ec00:c8d4:ffff:ffff |
| 214 | fe80:c25b:dd:ec00:ec00:c8d5::/96 | fe80:c25b:dd:ec00:ec00:c8d5:ffff:ffff |
| 215 | fe80:c25b:dd:ec00:ec00:c8d6::/96 | fe80:c25b:dd:ec00:ec00:c8d6:ffff:ffff |
| 216 | fe80:c25b:dd:ec00:ec00:c8d7::/96 | fe80:c25b:dd:ec00:ec00:c8d7:ffff:ffff |
| 217 | fe80:c25b:dd:ec00:ec00:c8d8::/96 | fe80:c25b:dd:ec00:ec00:c8d8:ffff:ffff |
| 218 | fe80:c25b:dd:ec00:ec00:c8d9::/96 | fe80:c25b:dd:ec00:ec00:c8d9:ffff:ffff |
| 219 | fe80:c25b:dd:ec00:ec00:c8da::/96 | fe80:c25b:dd:ec00:ec00:c8da:ffff:ffff |
| 220 | fe80:c25b:dd:ec00:ec00:c8db::/96 | fe80:c25b:dd:ec00:ec00:c8db:ffff:ffff |
| 221 | fe80:c25b:dd:ec00:ec00:c8dc::/96 | fe80:c25b:dd:ec00:ec00:c8dc:ffff:ffff |
| 222 | fe80:c25b:dd:ec00:ec00:c8dd::/96 | fe80:c25b:dd:ec00:ec00:c8dd:ffff:ffff |
| 223 | fe80:c25b:dd:ec00:ec00:c8de::/96 | fe80:c25b:dd:ec00:ec00:c8de:ffff:ffff |
| 224 | fe80:c25b:dd:ec00:ec00:c8df::/96 | fe80:c25b:dd:ec00:ec00:c8df:ffff:ffff |
| 225 | fe80:c25b:dd:ec00:ec00:c8e0::/96 | fe80:c25b:dd:ec00:ec00:c8e0:ffff:ffff |
| 226 | fe80:c25b:dd:ec00:ec00:c8e1::/96 | fe80:c25b:dd:ec00:ec00:c8e1:ffff:ffff |
| 227 | fe80:c25b:dd:ec00:ec00:c8e2::/96 | fe80:c25b:dd:ec00:ec00:c8e2:ffff:ffff |
| 228 | fe80:c25b:dd:ec00:ec00:c8e3::/96 | fe80:c25b:dd:ec00:ec00:c8e3:ffff:ffff |
| 229 | fe80:c25b:dd:ec00:ec00:c8e4::/96 | fe80:c25b:dd:ec00:ec00:c8e4:ffff:ffff |
| 230 | fe80:c25b:dd:ec00:ec00:c8e5::/96 | fe80:c25b:dd:ec00:ec00:c8e5:ffff:ffff |
| 231 | fe80:c25b:dd:ec00:ec00:c8e6::/96 | fe80:c25b:dd:ec00:ec00:c8e6:ffff:ffff |
| 232 | fe80:c25b:dd:ec00:ec00:c8e7::/96 | fe80:c25b:dd:ec00:ec00:c8e7:ffff:ffff |
| 233 | fe80:c25b:dd:ec00:ec00:c8e8::/96 | fe80:c25b:dd:ec00:ec00:c8e8:ffff:ffff |
| 234 | fe80:c25b:dd:ec00:ec00:c8e9::/96 | fe80:c25b:dd:ec00:ec00:c8e9:ffff:ffff |
| 235 | fe80:c25b:dd:ec00:ec00:c8ea::/96 | fe80:c25b:dd:ec00:ec00:c8ea:ffff:ffff |
| 236 | fe80:c25b:dd:ec00:ec00:c8eb::/96 | fe80:c25b:dd:ec00:ec00:c8eb:ffff:ffff |
| 237 | fe80:c25b:dd:ec00:ec00:c8ec::/96 | fe80:c25b:dd:ec00:ec00:c8ec:ffff:ffff |
| 238 | fe80:c25b:dd:ec00:ec00:c8ed::/96 | fe80:c25b:dd:ec00:ec00:c8ed:ffff:ffff |
| 239 | fe80:c25b:dd:ec00:ec00:c8ee::/96 | fe80:c25b:dd:ec00:ec00:c8ee:ffff:ffff |
| 240 | fe80:c25b:dd:ec00:ec00:c8ef::/96 | fe80:c25b:dd:ec00:ec00:c8ef:ffff:ffff |
| 241 | fe80:c25b:dd:ec00:ec00:c8f0::/96 | fe80:c25b:dd:ec00:ec00:c8f0:ffff:ffff |
| 242 | fe80:c25b:dd:ec00:ec00:c8f1::/96 | fe80:c25b:dd:ec00:ec00:c8f1:ffff:ffff |
| 243 | fe80:c25b:dd:ec00:ec00:c8f2::/96 | fe80:c25b:dd:ec00:ec00:c8f2:ffff:ffff |
| 244 | fe80:c25b:dd:ec00:ec00:c8f3::/96 | fe80:c25b:dd:ec00:ec00:c8f3:ffff:ffff |
| 245 | fe80:c25b:dd:ec00:ec00:c8f4::/96 | fe80:c25b:dd:ec00:ec00:c8f4:ffff:ffff |
| 246 | fe80:c25b:dd:ec00:ec00:c8f5::/96 | fe80:c25b:dd:ec00:ec00:c8f5:ffff:ffff |
| 247 | fe80:c25b:dd:ec00:ec00:c8f6::/96 | fe80:c25b:dd:ec00:ec00:c8f6:ffff:ffff |
| 248 | fe80:c25b:dd:ec00:ec00:c8f7::/96 | fe80:c25b:dd:ec00:ec00:c8f7:ffff:ffff |
| 249 | fe80:c25b:dd:ec00:ec00:c8f8::/96 | fe80:c25b:dd:ec00:ec00:c8f8:ffff:ffff |
| 250 | fe80:c25b:dd:ec00:ec00:c8f9::/96 | fe80:c25b:dd:ec00:ec00:c8f9:ffff:ffff |
| 251 | fe80:c25b:dd:ec00:ec00:c8fa::/96 | fe80:c25b:dd:ec00:ec00:c8fa:ffff:ffff |
| 252 | fe80:c25b:dd:ec00:ec00:c8fb::/96 | fe80:c25b:dd:ec00:ec00:c8fb:ffff:ffff |
| 253 | fe80:c25b:dd:ec00:ec00:c8fc::/96 | fe80:c25b:dd:ec00:ec00:c8fc:ffff:ffff |
| 254 | fe80:c25b:dd:ec00:ec00:c8fd::/96 | fe80:c25b:dd:ec00:ec00:c8fd:ffff:ffff |
| 255 | fe80:c25b:dd:ec00:ec00:c8fe::/96 | fe80:c25b:dd:ec00:ec00:c8fe:ffff:ffff |
| 256 | fe80:c25b:dd:ec00:ec00:c8ff::/96 | fe80:c25b:dd:ec00:ec00:c8ff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |